%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

Summary:	Regulatory Daemon for the Intel PRO/Wireless 3945ABG Driver
Name:		ipw3945d
Version:	1.7.22
Release:	%mkrel 1
License:	distributable
Group:		System/Kernel and hardware
URL:		http://ipw3945.sourceforge.net/#requirements
Source0:	http://bughost.org/ipw3945/daemon/ipw3945d-%version.tar.bz2
Patch0:		ipw3945d-1.7.22-net.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
ExclusiveArch:	%ix86 x86_64
BuildRequires:	dos2unix

%description
This package contains the regulatory daemon for the ipw-3945 driver.
Usage of this daemon is subject to the terms contained in the included
LICENSE file. Please read the license carefully.

This package is in plf because the microcode is not free itself,
it can only be distributed

%prep
%setup -q
%patch0 -p1 -b .net

%build
dos2unix LICENSE.ipw3945d

%install
cd $RPM_BUILD_DIR/%{name}-%{version}
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_sbindir}
%ifarch %{ix86}
install -m755 x86/%{name}  $RPM_BUILD_ROOT/%{_sbindir}
%endif
%ifarch x86_64
install -m755 x86_64/%{name}  $RPM_BUILD_ROOT/%{_sbindir}
%endif

install -m755 %{name}-{start,stop} $RPM_BUILD_ROOT/%{_sbindir}
perl -pi -e 's,\B/sbin/%{name},/usr/sbin/%{name},' $RPM_BUILD_ROOT/%{_sbindir}/%{name}-{start,stop}

install -d $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d
cat > $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/%{name} <<EOF
install ipw3945 [ -w /var/run ] && /sbin/modprobe --ignore-install ipw3945 && /usr/sbin/ipw3945d-start
remove  ipw3945 /usr/sbin/ipw3945d-stop ; /sbin/modprobe -r --ignore-remove ipw3945
EOF

%clean
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.ipw3945d LICENSE.ipw3945d
%{_sbindir}/ipw3945d
%{_sbindir}/%{name}-start
%{_sbindir}/%{name}-stop
%{_sysconfdir}/modprobe.d/%{name}


%changelog
* Mon Nov 12 2007 Texstar <texstar@gmail.com> 1.7.22-1pclos2007
- update 1.7.22

* Tue Jan 23 2007 Texstar <texstar@houston.rr.com>1.7.18-1pclos2007
- import from PLF


